Subject: bug#6689: 24.0.50; No primary selection

From: "Drew Adams" <[email-masked]>
Date: Thu, 22 Jul 2010 15:34:48 -0700

> > Whatever the reason, the pesky fact remains that there was 
> > no problem prior to the recent changes that broke this.
> 
> The problem was that the way Emacs interacted with X selections was
> non-standard.  The issue is subtle; you can read about it on the
> emacs-devel archives.  Clearly, these changes need further 
> adjustments.  But it's a non-starter to demand that everything
> be backed out in order to avoid temporarily inconveniencing the
> users of the DEVELOPMENT sources.

I have no problem with the DEVELOPMENT sources being broken.
I was not clear enough about that, no doubt. 

I do have a problem with our changing the default behavior.
Especially without a full discussion.

I don't see a clear proposal for a change in the default behavior on
emacs-devel.  And I don't see a proposal for a change as an opt-in option, an
alternative.

What I see - perhaps mistakenly - is that the default behavior has changed.

If the default behavior will not be changed, and there is only a temporary bug
in the DEVELOPMENT sources, then I have no problem with that.  (I should have
been clearer about that.)

Are you changing the default behavior or not?  That's the question.
Not whether there is some temporary problem.